// Script layout for BVQX 2.2 and higher generated by ScriptFromUI Plugin

var bvqx = BrainVoyagerQX; // use short symbol to access BrainVoyager QX API
var $find = bvqx.FindChild;
var $setfloat = bvqx.SetPluginFloatParameter;
var $setint = bvqx.SetPluginIntParameter;
var $setstring = bvqx.SetPluginStringParameter;
var $getstring = bvqx.GetPluginStringParameter;

var o = new Object;
o.dialogFileName   = "SDMmerger.ui"; // specify name of file that will be used by BVQX to create your UI
o.dialogAccessName = "myDialog"; // specify the name you want to use for accessing your UI


o.initDlg = function()
{
   // connec UI elements to script functions - you need to know the names of your elements (check your definition)
   $find("pb_browsesdm").clicked.connect(this, this.browsesdm);
   $find("pb_sdm1corr").clicked.connect(this, this.sdm1corr);
   $find("pb_addsdm").clicked.connect(this, this.addsdm);
   $find("pb_mergeall").clicked.connect(this, this.mergeall);
   $find("pb_mergesec").clicked.connect(this, this.mergesec);
   $find("pb_close").clicked.connect(this, this.close);
   
   sample_path = bvqx.PathToSampleData;
   html_index = sample_path.replace("SampleData/", "Extensions/Plugins_64/SDMMergerHelp/Help_SDMmerger.html");
   html_file =  "file:///".concat(html_index);
   $find("help").source = new QUrl(html_file);
}


o.browsesdm = function()
{
   $setstring("task", "open_sdm");
   bvqx.ExecutePlugin();
   var filename = $getstring("sdmfile");
   if (filename)
       $find("le_primary").text = filename;
}


o.sdm1corr = function()
{
   $setstring("sdm1", $find("le_primary").text);
   $setstring("task", "sdm1corr");
   bvqx.ExecutePlugin();
}


o.addsdm = function()
{
   $setstring("task", "open_sdm");
   bvqx.ExecutePlugin();
   var filename = $getstring("sdmfile");
   if (filename)
       $find("te_sdms2").append(filename);
}


o.mergeall = function()
{
   if (!$find("le_primary").text){
      bvqx.MessageBox("You have to select a primary SDM before you can start");
      this.browsesdm();
   }else{   
      $setint("ztans", $find("cb_ztans").checked);
      $setint("baseline", $find("cb_baseline").checked);
      $setint("allcorr", $find("cb_allcorr").checked);
      $setstring("sdm1", $find("le_primary").text);
      $setstring("sdms2", $find("te_sdms2").plainText);

      $setstring("task", "mergeall");
      bvqx.ExecutePlugin();
   }

}


o.mergesec = function()
{
   $setint("ztans", $find("cb_ztans").checked);
   $setint("baseline", $find("cb_baseline").checked);
   $setint("allcorr", $find("cb_allcorr").checked);
   $setstring("sdms2", $find("te_sdms2").plainText);
   
   $setstring("task", "mergesec");
   bvqx.ExecutePlugin();

}


o.close = function()
{
   this.myDialog.close();
}


o;
